AbstractMessageLogger
Date: 2014-12-13

org.apache.ivy.util

## Class AbstractMessageLogger

- java.lang.Object
- - org.apache.ivy.util.AbstractMessageLogger

- All Implemented Interfaces:
    MessageLogger
  Direct Known Subclasses:
    AntMessageLogger, DefaultMessageLogger

      public abstract class AbstractMessageLogger
      extends java.lang.Object
      implements MessageLogger

  An abstract base class to ease `MessageLogger` implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMessageLogger()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearProblems()` Clears the list of problems, warns and errors.
    `void` | `debug(java.lang.String msg)`
    `void` | `deprecated(java.lang.String msg)`
    `protected abstract void` | `doEndProgress(java.lang.String msg)` Indicates the end of a long running task
    `protected abstract void` | `doProgress()` Indicates a progression for a long running task
    `void` | `endProgress()`
    `void` | `endProgress(java.lang.String msg)`
    `void` | `error(java.lang.String msg)`
    `java.util.List` | `getErrors()`
    `java.util.List` | `getProblems()`
    `java.util.List` | `getWarns()`
    `void` | `info(java.lang.String msg)`
    `boolean` | `isShowProgress()`
    `void` | `progress()`
    `void` | `rawinfo(java.lang.String msg)`
    `void` | `setShowProgress(boolean progress)`
    `void` | `sumupProblems()` Sumup all problems encountered so far, and clear them.
    `void` | `verbose(java.lang.String msg)`
    `void` | `warn(java.lang.String msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ivy.util.MessageLogger

      `log, rawlog`

- - ### Constructor Detail

    - #### AbstractMessageLogger

          public AbstractMessageLogger()

  - ### Method Detail

    - #### debug

          public void debug(java.lang.String msg)

      Specified by:
        `debug` in interface `MessageLogger`

    - #### verbose

          public void verbose(java.lang.String msg)

      Specified by:
        `verbose` in interface `MessageLogger`

    - #### deprecated

          public void deprecated(java.lang.String msg)

      Specified by:
        `deprecated` in interface `MessageLogger`

    - #### info

          public void info(java.lang.String msg)

      Specified by:
        `info` in interface `MessageLogger`

    - #### rawinfo

          public void rawinfo(java.lang.String msg)

      Specified by:
        `rawinfo` in interface `MessageLogger`

    - #### warn

          public void warn(java.lang.String msg)

      Specified by:
        `warn` in interface `MessageLogger`

    - #### error

          public void error(java.lang.String msg)

      Specified by:
        `error` in interface `MessageLogger`

    - #### getProblems

          public java.util.List getProblems()

      Specified by:
        `getProblems` in interface `MessageLogger`

    - #### sumupProblems

          public void sumupProblems()

      Description copied from interface: `MessageLogger`
      Sumup all problems encountered so far, and clear them.
      Specified by:
        `sumupProblems` in interface `MessageLogger`

    - #### clearProblems

          public void clearProblems()

      Description copied from interface: `MessageLogger`
      Clears the list of problems, warns and errors.
      Specified by:
        `clearProblems` in interface `MessageLogger`

    - #### getErrors

          public java.util.List getErrors()

      Specified by:
        `getErrors` in interface `MessageLogger`

    - #### getWarns

          public java.util.List getWarns()

      Specified by:
        `getWarns` in interface `MessageLogger`

    - #### progress

          public void progress()

      Specified by:
        `progress` in interface `MessageLogger`

    - #### endProgress

          public void endProgress()

      Specified by:
        `endProgress` in interface `MessageLogger`

    - #### endProgress

          public void endProgress(java.lang.String msg)

      Specified by:
        `endProgress` in interface `MessageLogger`

    - #### isShowProgress

          public boolean isShowProgress()

      Specified by:
        `isShowProgress` in interface `MessageLogger`

    - #### setShowProgress

          public void setShowProgress(boolean progress)

      Specified by:
        `setShowProgress` in interface `MessageLogger`

    - #### doProgress

          protected abstract void doProgress()

      Indicates a progression for a long running task

    - #### doEndProgress

          protected abstract void doEndProgress(java.lang.String msg)

      Indicates the end of a long running task
      Parameters:
        `msg` - the message associated with long running task end.